﻿Imports ViewModel.Header
Imports ViewModel.Person
Imports ViewModel.StatusBar

Public Class MainViewVm
    Inherits ViewModelBase

    Public Sub New()
        If IsInDesignMode Then

        Else
            StatusBarVM = New StatusBarVm()
            PersonListVM = New PersonListVm()
            HeaderVm = New HeaderVm(Me )
        End If
    End Sub

    Private _statusBarVm As StatusBar.StatusBarVm
    Public Property StatusBarVm() As StatusBar.StatusBarVm
        Get
            Return _statusBarVm
        End Get
        Set(ByVal value As StatusBar.StatusBarVm)
            _statusBarVm = value
            RaisePropertyChanged()
        End Set
    End Property

    Private _personListVm As Person.PersonListVm
    Public Property PersonListVm() As Person.PersonListVm
        Get
            Return _personListVm
        End Get
        Set(ByVal value As Person.PersonListVm)
            _personListVm = value
            RaisePropertyChanged()
        End Set
    End Property

    Private _headerVm As Header.HeaderVm
    Public Property HeaderVm() As Header.HeaderVm
        Get
            Return _headerVm
        End Get
        Set(ByVal value As Header.HeaderVm)
            _headerVm = value
            RaisePropertyChanged()
        End Set
    End Property

End Class
