﻿Imports System.Collections.ObjectModel
Namespace Person
    Public Class PersonListVm
        Inherits ViewModelBase

        Private _allPersons As List(Of Model.Person)

        Public Sub New()
            LoadPersons()
        End Sub

        Private _persons As ObservableCollection(Of PersonVm)
        Public Property Persons() As ObservableCollection(Of PersonVm) ' TODO An das DataGrid binden
            Get
                Return _persons
            End Get
            Set(ByVal value As ObservableCollection(Of PersonVm))
                _persons = value
                RaisePropertyChanged()
            End Set
        End Property

        Private Sub LoadPersons()
            'TODO Hier später Daten per XML Serializer Laden
            Persons = New ObservableCollection(Of PersonVm) From {
                New PersonVm With {.Vorname = "Max", .Nachname = "Mustermann", .Strasse = "Musterweg 1", .PLZ = 12345, .Ort = "Musterdorf"},
                New PersonVm With {.Vorname = "Susi", .Nachname = "Sorglos", .Strasse = "Musterweg 3", .PLZ = 12345, .Ort = "Musterdorf"},
                New PersonVm With {.Vorname = "Peter", .Nachname = "Pechvogel", .Strasse = "Musterweg 5", .PLZ = 12345, .Ort = "Musterdorf"},
                New PersonVm With {.Vorname="John", .Nachname="Doe", .Strasse="Musterweg 7", .PLZ=12345, .Ort="Musterdorf"},
                New PersonVm With {.Vorname="Jane", .Nachname="Doe", .Strasse="Musterweg 7", .PLZ=12345, .Ort="Musterdorf"},
                New PersonVm With {.Vorname="Phllip", .Nachname="Wirth", .Strasse="Jahnstrasse 23", .PLZ=85617, .Ort="Aßling"},
                New PersonVm With {.Vorname="Brigitte", .Nachname="Fisher", .Strasse="Mühlenstrasse 65", .PLZ=97201, .Ort="Höchberg"},
                New PersonVm With {.Vorname="Katja", .Nachname="Herrmann", .Strasse="Heinrich Heine Platz 4", .PLZ=27030, .Ort="Löbau"}}

            '_allPersons = New List(Of Model.Person) From {New Model.Person("Max", "Mustermann", "Musterweg 1", 12345, "Musterdorf"),
            '                                             {New Model.Person("Susi", "Sorglos", "Musterweg 3", 12345, "Musterdorf")},
            '                                             {New Model.Person("Peter", "Pechvogel", "Musterweg 5", 12345, "Musterdorf")},
            '                                             {New Model.Person("John", "Doe", "Musterweg 7", 12345, "Musterdorf")},
            '                                             {New Model.Person("Jane", "Doe", "Musterweg 7", 12345, "Musterdorf")},
            '                                             {New Model.Person("Phllip", "Wirth", "Jahnstrasse 23", 85617, "Aßling")},
            '                                             {New Model.Person("Brigitte", "Fisher", "Mühlenstrasse 65", 97201, "Höchberg")},
            '                                             {New Model.Person("Katja", "Herrmann", "Heinrich Heine Platz 4", 27030, "Löbau")}}
            'Persons = New ObservableCollection(Of PersonVm)
            'For Each p In _allPersons
            '    Persons.Add(New PersonVm(p))
            'Next

        End Sub

    End Class
End Namespace